from edge.com.net import query_lr_add_alarm, query_lr_get_alarm

from edge.pipeline_helpers import get_origin_pid


def get_alarm(origin, alarm_name):
    """
    :type origin: str
    :type alarm_name: str
    :rtype: bool
    """
    ui_pid = get_origin_pid(origin)

    if ui_pid is None:
        raise NotImplementedError

    return query_lr_get_alarm(ui_pid, alarm_name)


def add_alarm(origin, alarm_name):
    """
    :type origin: str
    :type alarm_name: str
    :rtype: bool
    """

    ui_pid = get_origin_pid(origin)

    if ui_pid is None:
        return False

    query_lr_add_alarm(ui_pid, alarm_name)
    return True
